Comment installer Composer

Sur ce post j’avais décris comment installer Composer, mais les récentes version de composer ne marchent pas avec la version 5.4 de php, d’ou le besoin de mettre à jour vers php5.6

C’est quoi composer?

Dans les projet php d’envergure, vous aurez à faire appel à des librairies tierces (envoi email avec phpmailer, symfony, etc), et composer va vous aider à installer ces packages et surtout à construire les chemins vers les fonctions de ces librairies, sans lui ce serait cauchemardesque. De plus Composer peut mettre à jour vers une nouvelle version s’il le faut. Vous ne pourrez pas vous passer de lui si vous envisagez de développer sérieusement.

Installer composer

Lorsque vous faites une commande apt-get, l’OS va chercher dans une liste de dépôt sur Internet. Cette liste de sites de dépôt se trouve dna sun fichier sources.list, localisé dans /etc/apt/

Vous êtes connecté en tant qu’utilisateur root

Il vous faut renseigner ces deux lignes dans ce fichier en utilisant nano pour le plus simple:

deb http://packages.dotdeb.org wheezy-php56 all
deb-src http://packages.dotdeb.org wheezy-php56 all

$ nano /etc/apt/sources.list

ensuite il vous faut ajouter la clé du dépôt :

$ wget http://www.dotdeb.org/dotdeb.gpg
$ apt-key add dotdeb.gpg

 

Ensuite la procédure de mise à jour proprement dite:

$ apt-get update
$ apt-get install php5

N’oubliez pas de redémarrer Apache

$ service apache2 restart

$ php -v

cette dernière commande affiche la version de php, sans que vous ayez à faire un fichier php avec phpinfo()

0 comments… add one

Leave a Comment